﻿@model eCommerce.Services.Model.Product
@using eCommerce.Services.Model

<div class="col-lg-12">
    <div class="example">
        <h4 class="example-title">Asignación de stock</h4>

        <div class="form-group">
            <label class="col-sm-2 control-label">Medidas</label>
            <div class="col-sm-9">
                <select class="form-control" id="SizeIds" data-plugin="select2" multiple>
                    @if (TempData["Sizes"] != null)
                    {
                        foreach (var item in (List<Size>)TempData["Sizes"])
                        {
                            <option value="@item.SizeId" selected="@(Model.Stocks.Any(x => x.SizeId == item.SizeId))" data-order="@item.DisplayOrder">@item.Description</option>
                        }
                    }
                </select>
            </div>
        </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Colores</label>
            <div class="col-sm-9">
                <select class="form-control" id="ColorIds" data-plugin="select2" multiple>
                    @if (TempData["StockColors"] != null)
                    {
                        foreach (var item in (MultiSelectList)TempData["StockColors"])
                        {
                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                        }
                    }
                </select>
            </div>
        </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Cantidad</label>
            <div class="col-sm-1">
                <input type="text" class="form-control" id="StockQuantity" />
            </div>
            <p class="help-block">Cambiar este valor actualiza los valores de todos los stocks creados para este producto.</p>
        </div>

        @*<div class="form-group">
            <label class="col-sm-2 control-label">Precio</label>
            <div class="col-sm-1">
                <input type="text" class="form-control" id="StockQuantity" />
            </div>
            <p class="help-block">Cambiar este valor actualiza los valores de todos los stocks creados para este producto.</p>
        </div>*@

        <div class="form-group">
            <label class="col-sm-2 control-label">Stocks</label>
            <div class="col-sm-6">
                @Html.Partial("_ProductStockTable", Model.Stocks.Where(x => !x.Deleted.HasValue))
            </div>
        </div>


    </div>
</div>